Latest version of plugins not available

I'm using IntelliJ 7.0.4 in a corporate environment behind a web proxy. I'm able to connect and see all the plugins, but some are not at their latest versions. For example, IvyIdea is currently at version 0.6, but for me, it shows up as 0.4. Is it possible that the plugin manager is hitting the wrong site?

3 comments
Comment actions Permalink

Hello Adam,

I'm using IntelliJ 7.0.4 in a corporate environment behind a web
proxy. I'm able to connect and see all the plugins, but some are not
at their latest versions. For example, IvyIdea is currently at
version 0.6, but for me, it shows up as 0.4. Is it possible that the
plugin manager is hitting the wrong site?


IDEA caches the plugin repository contents locally, so it's possible that
you're seeing the cached content and the server connection actually fails.

--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0
Comment actions Permalink

How would I be able to tell if this was the case? I'm able to download plugins through intellij. If there were a problem with the proxy, wouldn't that prevent me from doing so? If I change my proxy settings, I get the usual errors right away, so it looks like it can reach the site. How can I remove the cached version?

0
Comment actions Permalink

Hello Adam,

How would I be able to tell if this was the case? I'm able to
download plugins through intellij. If there were a problem with the
proxy, wouldn't that prevent me from doing so? If I change my proxy
settings, I get the usual errors right away, so it looks like it can
reach the site. How can I remove the cached version?


Delete config/plugins/availables.xml

--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0

Please sign in to leave a comment.